From b97fabdba30df641ff0b116ea9d0297406585902 Mon Sep 17 00:00:00 2001
From: Peter Samarin <peter.samarin@code-intelligence.com>
Date: Mon, 23 Oct 2023 12:59:16 +0200
Subject: [PATCH] Release 2.1.0

---
 docs/jest-integration.md            |  2 +-
 package-lock.json                   | 48 ++++++++++++++---------------
 package.json                        |  2 +-
 packages/bug-detectors/package.json |  6 ++--
 packages/core/package.json          | 10 +++---
 packages/fuzzer/package.json        |  2 +-
 packages/hooking/package.json       |  2 +-
 packages/instrumentor/package.json  |  6 ++--
 packages/jest-runner/package.json   |  4 +--
 9 files changed, 41 insertions(+), 41 deletions(-)

diff --git a/docs/jest-integration.md b/docs/jest-integration.md
index c480f31e..0a5fa7fb 100644
--- a/docs/jest-integration.md
+++ b/docs/jest-integration.md
@@ -53,7 +53,7 @@ runner.
 		"coverage": "jest --coverage"
 	},
 	"devDependencies": {
-		"@jazzer.js/jest-runner": "1.1.0",
+		"@jazzer.js/jest-runner": "2.1.0",
 		"jest": "29.3.1"
 	},
 	"jest": {
diff --git a/package-lock.json b/package-lock.json
index 49870145..c5fdf2dd 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -9997,11 +9997,11 @@
 		},
 		"packages/bug-detectors": {
 			"name": "@jazzer.js/bug-detectors",
-			"version": "2.0.0",
+			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/core": "2.0.0",
-				"@jazzer.js/hooking": "2.0.0"
+				"@jazzer.js/core": "2.1.0",
+				"@jazzer.js/hooking": "2.1.0"
 			},
 			"devDependencies": {},
 			"engines": {
@@ -10011,13 +10011,13 @@
 		},
 		"packages/core": {
 			"name": "@jazzer.js/core",
-			"version": "2.0.0",
+			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/bug-detectors": "2.0.0",
-				"@jazzer.js/fuzzer": "2.0.0",
-				"@jazzer.js/hooking": "2.0.0",
-				"@jazzer.js/instrumentor": "2.0.0",
+				"@jazzer.js/bug-detectors": "2.1.0",
+				"@jazzer.js/fuzzer": "2.1.0",
+				"@jazzer.js/hooking": "2.1.0",
+				"@jazzer.js/instrumentor": "2.1.0",
 				"istanbul-lib-coverage": "^3.2.0",
 				"istanbul-lib-report": "^3.0.1",
 				"istanbul-reports": "^3.1.6",
@@ -10037,7 +10037,7 @@
 		},
 		"packages/fuzzer": {
 			"name": "@jazzer.js/fuzzer",
-			"version": "2.0.0",
+			"version": "2.1.0",
 			"hasInstallScript": true,
 			"license": "Apache-2.0",
 			"dependencies": {
@@ -10059,7 +10059,7 @@
 		},
 		"packages/hooking": {
 			"name": "@jazzer.js/hooking",
-			"version": "2.0.0",
+			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.23.2"
@@ -10074,13 +10074,13 @@
 		},
 		"packages/instrumentor": {
 			"name": "@jazzer.js/instrumentor",
-			"version": "2.0.0",
+			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.23.2",
 				"@babel/generator": "^7.23.0",
-				"@jazzer.js/fuzzer": "2.0.0",
-				"@jazzer.js/hooking": "2.0.0",
+				"@jazzer.js/fuzzer": "2.1.0",
+				"@jazzer.js/hooking": "2.1.0",
 				"istanbul-lib-hook": "^3.0.0",
 				"istanbul-lib-instrument": "^6.0.1",
 				"proper-lockfile": "^4.1.2",
@@ -10123,10 +10123,10 @@
 		},
 		"packages/jest-runner": {
 			"name": "@jazzer.js/jest-runner",
-			"version": "2.0.0",
+			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/core": "2.0.0",
+				"@jazzer.js/core": "2.1.0",
 				"cosmiconfig": "^8.3.6",
 				"istanbul-reports": "^3.1.6"
 			},
@@ -10815,17 +10815,17 @@
 		"@jazzer.js/bug-detectors": {
 			"version": "file:packages/bug-detectors",
 			"requires": {
-				"@jazzer.js/core": "2.0.0",
-				"@jazzer.js/hooking": "2.0.0"
+				"@jazzer.js/core": "2.1.0",
+				"@jazzer.js/hooking": "2.1.0"
 			}
 		},
 		"@jazzer.js/core": {
 			"version": "file:packages/core",
 			"requires": {
-				"@jazzer.js/bug-detectors": "2.0.0",
-				"@jazzer.js/fuzzer": "2.0.0",
-				"@jazzer.js/hooking": "2.0.0",
-				"@jazzer.js/instrumentor": "2.0.0",
+				"@jazzer.js/bug-detectors": "2.1.0",
+				"@jazzer.js/fuzzer": "2.1.0",
+				"@jazzer.js/hooking": "2.1.0",
+				"@jazzer.js/instrumentor": "2.1.0",
 				"@types/yargs": "^17.0.29",
 				"istanbul-lib-coverage": "^3.2.0",
 				"istanbul-lib-report": "^3.0.1",
@@ -10859,8 +10859,8 @@
 			"requires": {
 				"@babel/core": "^7.23.2",
 				"@babel/generator": "^7.23.0",
-				"@jazzer.js/fuzzer": "2.0.0",
-				"@jazzer.js/hooking": "2.0.0",
+				"@jazzer.js/fuzzer": "2.1.0",
+				"@jazzer.js/hooking": "2.1.0",
 				"@types/babel__core": "^7.20.3",
 				"@types/istanbul-lib-hook": "^2.0.3",
 				"@types/istanbul-lib-instrument": "^1.7.6",
@@ -10888,7 +10888,7 @@
 		"@jazzer.js/jest-runner": {
 			"version": "file:packages/jest-runner",
 			"requires": {
-				"@jazzer.js/core": "2.0.0",
+				"@jazzer.js/core": "2.1.0",
 				"@types/tmp": "^0.2.5",
 				"cosmiconfig": "^8.3.6",
 				"istanbul-reports": "^3.1.6",
diff --git a/package.json b/package.json
index c6eb3358..00d76e82 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "jazzer.js",
-	"version": "2.0.0",
+	"version": "2.1.0",
 	"description": "Coverage-guided, in-process fuzzing for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"keywords": [
diff --git a/packages/bug-detectors/package.json b/packages/bug-detectors/package.json
index b3dd58bc..588d6d32 100644
--- a/packages/bug-detectors/package.json
+++ b/packages/bug-detectors/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/bug-detectors",
-	"version": "2.0.0",
+	"version": "2.1.0",
 	"description": "Jazzer.js bug detectors",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -16,8 +16,8 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.js",
 	"dependencies": {
-		"@jazzer.js/core": "2.0.0",
-		"@jazzer.js/hooking": "2.0.0"
+		"@jazzer.js/core": "2.1.0",
+		"@jazzer.js/hooking": "2.1.0"
 	},
 	"devDependencies": {},
 	"engines": {
diff --git a/packages/core/package.json b/packages/core/package.json
index c3f7e1e1..704d7868 100644
--- a/packages/core/package.json
+++ b/packages/core/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/core",
-	"version": "2.0.0",
+	"version": "2.1.0",
 	"description": "Jazzer.js CLI",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -19,10 +19,10 @@
 		"jazzer": "dist/cli.js"
 	},
 	"dependencies": {
-		"@jazzer.js/bug-detectors": "2.0.0",
-		"@jazzer.js/fuzzer": "2.0.0",
-		"@jazzer.js/hooking": "2.0.0",
-		"@jazzer.js/instrumentor": "2.0.0",
+		"@jazzer.js/bug-detectors": "2.1.0",
+		"@jazzer.js/fuzzer": "2.1.0",
+		"@jazzer.js/hooking": "2.1.0",
+		"@jazzer.js/instrumentor": "2.1.0",
 		"tmp": "^0.2.1",
 		"istanbul-lib-coverage": "^3.2.0",
 		"istanbul-lib-report": "^3.0.1",
diff --git a/packages/fuzzer/package.json b/packages/fuzzer/package.json
index b6de6eb9..f0d9e8ff 100644
--- a/packages/fuzzer/package.json
+++ b/packages/fuzzer/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/fuzzer",
-	"version": "2.0.0",
+	"version": "2.1.0",
 	"description": "Jazzer.js libfuzzer-based fuzzer for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/hooking/package.json b/packages/hooking/package.json
index a5512c63..005143d7 100644
--- a/packages/hooking/package.json
+++ b/packages/hooking/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/hooking",
-	"version": "2.0.0",
+	"version": "2.1.0",
 	"description": "Jazzer.js hooking framework",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/instrumentor/package.json b/packages/instrumentor/package.json
index 6e6a6e03..e91bee11 100644
--- a/packages/instrumentor/package.json
+++ b/packages/instrumentor/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/instrumentor",
-	"version": "2.0.0",
+	"version": "2.1.0",
 	"description": "Jazzer.js source code instrumentor",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -18,8 +18,8 @@
 	"dependencies": {
 		"@babel/core": "^7.23.2",
 		"@babel/generator": "^7.23.0",
-		"@jazzer.js/fuzzer": "2.0.0",
-		"@jazzer.js/hooking": "2.0.0",
+		"@jazzer.js/fuzzer": "2.1.0",
+		"@jazzer.js/hooking": "2.1.0",
 		"istanbul-lib-hook": "^3.0.0",
 		"proper-lockfile": "^4.1.2",
 		"istanbul-lib-instrument": "^6.0.1",
diff --git a/packages/jest-runner/package.json b/packages/jest-runner/package.json
index a5094bfb..9c1f1df7 100644
--- a/packages/jest-runner/package.json
+++ b/packages/jest-runner/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/jest-runner",
-	"version": "2.0.0",
+	"version": "2.1.0",
 	"description": "Jazzer.js Jest runner",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -16,7 +16,7 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.ts",
 	"dependencies": {
-		"@jazzer.js/core": "2.0.0",
+		"@jazzer.js/core": "2.1.0",
 		"cosmiconfig": "^8.3.6",
 		"istanbul-reports": "^3.1.6"
 	},
